Summary:	PhpMyAdmin is intended to handle the adminstration of MySQL over the web
Name:		phpMyAdmin
Version:	2.8.2.2
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.phpmyadmin.net
Source0:	http://prdownloads.sourceforge.net/phpmyadmin/%{name}-%{version}.tar.bz2
Source10:	http://prdownloads.sourceforge.net/phpmyadmin/aqua-2.2a.tar.bz2
Source11:	http://prdownloads.sourceforge.net/phpmyadmin/arctic_ocean-2.2a.tar.bz2
Source12:	http://prdownloads.sourceforge.net/phpmyadmin/paradice-2.2a.tar.bz2
Source13:	http://prdownloads.sourceforge.net/phpmyadmin/xp_basic-2.1.tar.bz2
Patch0:		phpMyAdmin-2.8.0.3-use-cookie-in-config.diff
Patch1:		phpMyAdmin-2.8.2.1-bug23847.diff
Patch2:		phpMyAdmin-2.8.2.1-bug22020.diff
Requires(pre):	apache-mod_php php-mysql php-mbstring php-mcrypt
Requires:	apache-mod_php php-mysql php-mbstring php-mcrypt
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRequires:	ImageMagick
BuildRequires:	apache-base >= 2.0.54
Requires(post):	ccp >= 0.4.0
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Macro for generating an environment variable (%1) with %2 random characters
%define randstr() %1=`perl -e 'for ($i = 0, $bit = "!", $key = ""; $i < %2; $i++) {while ($bit !~ /^[0-9A-Za-z]$/) { $bit = chr(rand(90) + 32); } $key .= $bit; $bit = "!"; } print "$key";'`

%description
phpMyAdmin is intended to handle the adminstration of MySQL over
the web. Currently it can : create and drop databases, create,
copy, drop and alter tables, delete, edit and add fields, execute
any SQL-statement, even batch-queries, manage keys on fields, load
text files into tables, create and read dumps of tables, export
data to CSV value, administer multiple servers and single
databases.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p1


pushd themes
for i in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13}; do
    tar -jxf $i
done
popd

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | grep -v "\.z" | xargs dos2unix -U

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export DONT_RELINK=1
 
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

# cleanup
pushd %{buildroot}/var/www/%{name}
    rm -f CREDITS ChangeLog Documentation.txt INSTALL LICENSE README RELEASE-DATE-* TODO
    rm -rf scripts
    rm -f lang/*.sh libraries/transformations/*.sh
    find -name "\.htaccess" | xargs rm -f
popd

# fix config file location
mv %{buildroot}/var/www/%{name}/libraries/config.default.php %{buildroot}%{_sysconfdir}/%{name}/
ln -s %{_sysconfdir}/%{name}/config.default.php %{buildroot}/var/www/%{name}/libraries/config.default.php

cat > README.urpmi << EOF

The config file name has changed name from config.inc.php to 
config.default.php. From 2.8.0 the file moved into libraries/

Now the file is put in /etc/phpMyAdmin/config.default.php and softlinked
to /var/www/%{name}/libraries/config.default.php

Starting from 2.8.x we try to catch config file changes with ccp when upgrading.

EOF

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<IfModule mod_php4.c>
    php_flag session.auto_start 0
</IfModule>

<IfModule mod_php5.c>
    php_flag session.auto_start 0
</IfModule>

<Directory /var/www/%{name}>
    Allow from All
</Directory>

<Directory /var/www/%{name}/libraries>
    Order Deny,Allow
    Deny from All
    Allow from None
</Directory>

# Uncomment the following lines to force a redirect to a working 
# SSL aware apache server. This serves as an example.
# 
#<IfModule mod_ssl.c>
#    <LocationMatch /%{name}>
#        Options FollowSymLinks
#        RewriteEngine on
#        RewriteCond %{SERVER_PORT} !^443$
#        RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
#    </LocationMatch>
#</IfModule>

EOF

# install script to call the web interface from the menu.
install -d %{buildroot}%{_libdir}/%{name}/scripts
cat > %{buildroot}%{_libdir}/%{name}/scripts/%{name} <<EOF
#!/bin/sh

url='https://localhost/%{name}'
if ! [ -z "\$BROWSER" ] && ( which \$BROWSER ); then
  browser=\`which \$BROWSER\`
elif [ -x /usr/bin/mozilla-firefox ]; then
  browser=/usr/bin/mozilla-firefox
elif [ -x /usr/bin/konqueror ]; then
  browser=/usr/bin/konqueror
elif [ -x /usr/bin/lynx ]; then
  browser='xterm -bg black -fg white -e lynx'
elif [ -x /usr/bin/links ]; then
  browser='xterm -bg black -fg white -e links'
else
  xmessage "No web browser found, install one or set the BROWSER environment variable!"
  exit 1
fi
\$browser \$url
EOF
chmod 755 %{buildroot}%{_libdir}/%{name}/scripts/%{name}

# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert themes/original/img/logo_right.png -resize 16x16  %{buildroot}%{_miconsdir}/%{name}.png
convert themes/original/img/logo_right.png -resize 32x32  %{buildroot}%{_iconsdir}/%{name}.png
convert themes/original/img/logo_right.png -resize 48x48  %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): needs=X11 \
section="More Applications/Databases" \
title="phpMyAdmin" \
longtitle="phpMyAdmin is a web adminstration GUI for MySQL.  Set the $BROWSER environment variable to choose your preferred browser." \
command="%{_libdir}/%{name}/scripts/%{name} 1>/dev/null 2>/dev/null" \
icon="%{name}.png" \
xdg=true
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=phpMyAdmin
Comment=%{summary}
Exec=%{_libdir}/%{name}/scripts/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Databases;
EOF

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.default.php --newfile %{_sysconfdir}/%{name}/config.default.php.rpmnew

%randstr BLOWFISH 8

BLOWFISH=`echo -n $BLOWFISH | md5sum | awk '{print $1}'`
perl -pi -e "s|_BLOWFISH_SECRET_|$BLOWFISH|g" %{_sysconfdir}/%{name}/config.default.php

%_post_webapp
%update_menus
%update_desktop_database

%postun
%_postun_webapp
%clean_menus
%clean_desktop_database

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS ChangeLog Documentation.txt INSTALL LICENSE README RELEASE-DATE-* TODO scripts README.urpmi 
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(0755,root,root) %{_sysconfdir}/%{name}
%attr(0640,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/config.default.php
/var/www/%{name}
%attr(0755,root,root) %{_libdir}/%{name}/scripts/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Mon Aug 21 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.2.2-2mdv2007.0
- deactivate the ssl redirection per default

* Tue Aug 15 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.2.2-1mdv2007.0
- 2.8.2.2

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.2.1-2mdv2007.0
- added P1 to fix #23847 (Raphal Gertz)
- added P2 from #22020 (Raphal Gertz)

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.2.1-1mdv2007.0
- 2.8.2.1
- fix xdg menu stuff

* Sat Jul 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.2-1mdk
- 2.8.2 (Minor security fixes)

* Sun May 21 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-1mdk
- 2.8.1 (Major security fixes)
- updated some of the themes

* Sun May 14 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0.4-2mdk
- fix a menuentry
- add mod_rewrite rules to enforce ssl connections
- fix deps

* Sat May 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0.4-1mdk
- 2.8.0.4 (Minor security fixes)

* Thu Apr 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0.3-2mdk
- generate the blowfish_secret string in %%post

* Thu Apr 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0.3-1mdk
- 2.8.0.3 (Minor security fixes)

* Wed Mar 22 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0.2-2mdk
- fix the apache config

* Fri Mar 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0.2-1mdk
- 2.8.0.2 (Minor security fixes)

* Mon Mar 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0-2mdk
- use absolute path when softlinking

* Mon Mar 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0-1mdk
- 2.8.0 (Major bugfixes)

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0-0.rc2.1mdk
- 2.8.0-rc2

* Thu Feb 23 2006 Oden Eriksson <oeriksson@mandriva.com> 2.8.0-0.rc1.1mdk
- 2.8.0-rc1
- use ccp for the config
- drop the /admin/ location and use the webapps policy

* Wed Dec 28 2005 Oden Eriksson <oeriksson@mandriva.com> 2.7.0-2mdk
- 2.7.0-pl2 (Minor bugfixes)
 
* Thu Dec 08 2005 Oden Eriksson <oeriksson@mandriva.com> 2.7.0-1mdk
- 2.7.0-pl1 (Major security fixes)

* Thu Dec 01 2005 Oden Eriksson <oeriksson@mandriva.com> 2.7.0-0.rc1.2mdk
- oops!, new config file name, fixed and documented in the README.urpmi file

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.7.0-0.rc1.1mdk
- 2.7.0rc1
- use newest themes only
- rediffed P0
- fix deps

* Sat Oct 22 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.4-3mdk
- 2.6.4-pl3 (security fixes)

* Mon Sep 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.4-2mdk
- 2.6.4-pl1 (Minor bugfixes)

* Mon Sep 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.4-1mdk
- 2.6.4 (Minor security fixes)

* Sun Jul 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.3-1mdk
- 2.6.3

* Sun Jun 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.2-4mdk
- fix deps

* Fri May 20 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.2-3mdk
- don't trash images
- added more themes

* Sat May 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.2-2mdk
- 2.6.2-pl1
- use better anti ^M stripper

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.2-1mdk
- 2.6.2

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.2-0.rc1.1mdk
- 2.6.2-rc1 (security fix release)
- use the %%mkrel macro

* Sun Mar 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-4mdk
- 2.6.1-pl3

* Fri Feb 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-3mdk
- 2.6.1-pl2
- strip away annoying ^M

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-2mdk
- really 2.6.1

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1

* Wed Jan 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-0.rc2.2mdk
- dotnuke

* Wed Jan 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-0.rc2.1mdk
- 2.6.1-rc2

* Mon Dec 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-0.rc1.1mdk
- 2.6.1-rc1

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-3mdk
- 2.6.0-pl3, security and bug fixes

* Wed Oct 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-2mdk
- 2.6.0-pl2

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0

* Tue Sep 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-0.rc2.1mdk
- 2.6.0-rc2

* Sun Sep 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-0.rc1.1mdk
- 2.6.0-rc1

* Sat Jul 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.7-2mdk
- 2.5.7-pl1 (fixes the "php codes injection" security hole)
- own %{webadminroot}/%{name}

* Wed Jun 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.7-1mdk
- 2.5.7

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.6-1mdk
- 2.5.6

* Sun Feb 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.5-1mdk
- 2.5.5-pl1
- fix P0

* Sun Oct 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.4-1mdk
- 2.5.4

* Mon Sep 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.3-1mdk
- 2.5.3
- mysqlserver is not required

* Wed Jul 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.2-1mdk
- 2.5.2

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.1-1mdk
- 2.5.1

* Sun May 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.0-1mdk
- 2.5.0
- misc spec file fixes

* Mon Feb 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-1mdk
- 2.4.0

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-4mdk
- rebuild

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.2-3mdk
- build release

* Thu Nov 14 2002 Yves Duret <yves@zarb.org> 2.3.2-2mdk
- use cookie auth by default instead of password in plain config text
  ie. works out of box now (patch0).
- remove unusefull macros.
- fix doc file not found.

* Wed Oct 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.2-1mdk
- new version

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.0-2mdk
- misc spec file fixes
- install in common and relocatable %%{webadminroot}/ directory

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.0-1mdk
- new version

* Fri Apr 22 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.6-1mdk
- new version
- updated URL

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.5-1mdk
- new version

* Tue Mar 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.4-1mdk
- update to 2.2.4.

* Fri Mar  1 2002 Daouda LO <daouda@mandrakesoft.com> 2.2.3-2mdk
- Requires: mod_php

* Sun Jan 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.3-1mdk
- update to 2.2.3.

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.2-1mdk
- update to 2.2.2
- added url

* Thu Oct 29 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.1-2mdk
- Fixed typo in Requires.

* Thu Oct 25 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1.

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-2mdk
- Require php-Mysql.

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0.

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-3mdk
- Make rpmlint happier.

* Thu Aug 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-2mdk
- s/Copyright/License.
- s/BuildArchitectures/BuildArch.
- Added a require for MySQL.

* Tue Mar 06 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 2.1.0-1mdk
- first rpm distribution.
